Low poly crates

Low poly crates

Low poly crates

  • 3dsmax 2011 or higher
  • vray 2.4 or higher
  • includes: max, obj, 3ds, fbx
ENVATO COMMERCIAL LICENSING: Dear Customer, you need to purchase EXTENDED LICENSE for this item if the end product is sold to end users! – http://videohive.net/licenses/faq

Contact me for customization help via email or message to profile.
Please Don’t forget Rate my works if you like them :)
Thanks! Cheers! :)
by
by
by
by
by
by